Bug 42743 - HttpClientHandler combo is not shown for Community license
Summary: HttpClientHandler combo is not shown for Community license
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Android Add-in (show other bugs)
Version: 6.0.0 (C7)
Hardware: PC Mac OS
: --- normal
Target Milestone: master
Assignee: Greg Munn
URL:
Depends on:
Blocks:
 
Reported: 2016-07-22 14:18 UTC by Greg Munn
Modified: 2016-07-26 07:10 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Greg Munn 2016-07-22 14:18:58 UTC
The visibility of the http client handler combo in build options was inadvertently tied to the Aot check.

From QA:

http://www.screencast.com/t/cL3kRlOu3tdt 
(In this screencast, I am using community license and not able to see the httpclient combo. When I changed the license into Enterprise then httplclient combo become visible)

http://www.screencast.com/t/HvKx6mSFCc2L 
(In this Screencast, I am using Indie License and not able to see HttpClient Combo. When I changed the license into Business then HttpClient Combo become visible.)
Please! have a look and do let me know.
Comment 1 xamarin-release-manager 2016-07-22 15:59:52 UTC
Fixed in version 6.2.0.217 (master)

Author: Greg Munn
Commit: 8f18e5a678e352960cf8dc6eae37d2a3133a1ae4 (xamarin/md-addins)
Included in Commit: ea1b5e45c8b9172e984f592397450f7be18acbd5 (mono/monodevelop)
Comment 3 xamarin-release-manager 2016-07-25 14:04:16 UTC
Fixed in version 6.0.2.70 (cycle7)

Author: Greg Munn
Commit: 7e8219a57a3cf79d9bd3885221932b87abd2c8ee (xamarin/md-addins)
Included in Commit: b5eb36dbcbf5773cead5ba69be3b7ff955cf60f9 (mono/monodevelop)
Comment 4 xamarin-release-manager 2016-07-25 14:04:41 UTC
Fixed in version 6.0.2.71 (cycle7-sr1)

Author: Greg Munn
Commit: 28ed5dd74a6fc2e445110dcde809764192055e02 (xamarin/md-addins)
Included in Commit: b4df9f1c0a1a94606c04a670c08b9da2b3d865e0 (mono/monodevelop)
Comment 5 xamarin-release-manager 2016-07-25 14:04:50 UTC
Fixed in version 6.1.0.5265 (cycle8)

Author: Greg Munn
Commit: 45e856324d44fcdbf53164334f693c5b11c4ba68 (xamarin/md-addins)
Included in Commit: 27684df3da89d07c7531cb87fa8106942218fd02 (mono/monodevelop)